@import "./src/lib/core/variables";

$header-height: 108px;
$header-background-color: $color-primary;

// Header --------------

.header {
  height: $header-height;
  background-color: $header-background-color;

  @include mq("laptop-small", "max") {
    height: 85px;
  }

  @include mq("tablet", "max") {
    height: 70px;
  }

  @include mq("phone", "max") {
    height: 56px;
  }
}

.header_container {
  display: flex;
  justify-content: space-between;
  height: 100%;
}

.header_left {
  display: flex;
  align-items: center;
}

.header_right {
  display: flex;
  align-items: center;
}

.header__phone {
  margin-left: 44px;
  color: $color-white;
  font-size: $text-size-xxs;

  @include mq("tablet-small", "max") {
    display: flex;
    flex-direction: column;
    margin-left: 25px;
  }

  @include mq("phone-large", "max") {
    display: none;
  }

  a {
    color: $color-white;
  }
}

.header__info {
  margin-left: 72px;

  @include mq("tablet-small", "max") {
    margin-left: 20px;
  }

  @include mq("phone-large", "max") {
    margin-left: 10px;
  }
}

.header__button-tour {

  @include mq("laptop-small", "max") {
    display: none;
  }
}

.header__button-menu {
  margin-left: 72px;

  @include mq("tablet-large", "max") {
    margin-left: 58px;
  }

  @include mq("tablet", "max") {
    margin-left: 25px;
  }

  @include mq("tablet-small", "max") {
    margin-left: 15px;
  }

  @include mq("phone-large", "max") {
    margin-left: 10px;
  }
}

@import "logo/logo";
@import "panel_action/panel_action";
@import "button_menu/button_menu";
// -------------- end header
